# Address Types Address Types ## Gets all of the address types in the system. - [GET /addressTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/listaddresstypes.md): This method will scan all address types and and return them to the caller. ## Creates a new address type record that does not already exist. - [POST /addressTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/createaddresstype.md): This method will auto-generate an ID and create a new address type. If an ID is specified for the address type, an error will be thrown. ## Execute Batch Operations - [POST /addressTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a address type from the system by its ID. - [DELETE /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/deleteaddresstype.md): This method will delete a address type with the specified ID. ## Returns a address type from the system by its ID. - [GET /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/getaddresstype.md): This method will look up a address type by the specified ID and return it back. ## Partially updates a address type with the specified ID. - [PATCH /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/patchaddresstype.md): This method will patch an existing address type with the specified ID, using the HTTP PATCH specification. ## Updates a address type with the specified ID. - [PUT /addressTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/address-types/updateaddresstype.md): This method will update an existing address type with the specified ID.